summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2015-05-09 23:00:22 +0100
committerCarl Hetherington <cth@carlh.net>2015-05-09 23:00:22 +0100
commit0cf78dc64079ae17571db985b9087073ce88073c (patch)
treed6f4042ff21d2397f60d6b6ba630490330a911a1
parent8d20417855c563afa08bda167ccf8ab8609208fa (diff)
A couple of handy scripts.
-rwxr-xr-xhacks/apply_to_port18
-rwxr-xr-xhacks/next_to_port3
2 files changed, 21 insertions, 0 deletions
diff --git a/hacks/apply_to_port b/hacks/apply_to_port
new file mode 100755
index 000000000..439ab9154
--- /dev/null
+++ b/hacks/apply_to_port
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ "$1" == "" ]; then
+ echo "Syntax: $0 commit-message"
+ exit 1
+fi
+
+commit=`head -n 1 TO_PORT`
+msg="$commit from master; $*"
+echo $msg
+
+read -p "Commit? " -n 1 -r
+echo
+if [[ $REPLY =~ ^[Yy]$ ]]
+then
+ sed -i '1d' TO_PORT
+ git commit -a -m "$msg"
+fi \ No newline at end of file
diff --git a/hacks/next_to_port b/hacks/next_to_port
new file mode 100755
index 000000000..1b51e0ee1
--- /dev/null
+++ b/hacks/next_to_port
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+head -n 1 TO_PORT | xargs git show